Learn about Centmin Mod LEMP Stack today
Register Now

PHP-FPM Warning for Imagemagick directory change

Discussion in 'Install & Upgrades or Pre-Install Questions' started by pamamolf, Dec 24, 2016.

  1. pamamolf

    pamamolf Well-Known Member

    2,721
    242
    63
    May 31, 2014
    Ratings:
    +433
    Local Time:
    8:31 AM
    Nginx-1.13.x
    MariaDB 10.1.x
    Hi :)

    I just use the:

    Code:
    yum update --disableplugin=priorities --enablerepo=remi
    and i got that info:

    Code:
    WARNING : ImageMagick6 modules directory have changed.
    You need to restart some services to take care of
    the new location (e.g. httpd, php-fpm).
    Don't know if i have to do anything now or not ?

    I will need for sure to re run Option 15 to reinstall it but do i need to do anything else than restarting phpfpm and nginx?

    MariaDB?

    Thanks
     
  2. eva2000

    eva2000 Administrator Staff Member

    30,152
    6,782
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +10,133
    Local Time:
    3:31 PM
    Nginx 1.13.x
    MariaDB 5.5
    centmin.sh menu 15 also does required php-fpm restart
     
  3. pamamolf

    pamamolf Well-Known Member

    2,721
    242
    63
    May 31, 2014
    Ratings:
    +433
    Local Time:
    8:31 AM
    Nginx-1.13.x
    MariaDB 10.1.x
    centmin.sh menu 15 will fix the issue:

    Code:
    NOTICE: PHP message: PHP Warning:  Version warning: Imagick was compiled against Image Magick version 1686 but version 1687 is loaded. Imagick will run but may behave surprisingly in Unknown on line 0
    So it seems a must :)

    Then i restart the Nginx and Phpfpm :)

    Hope that's ok and MariaDB or any other service will not need a restart :)
     
    • Like Like x 1
  4. eva2000

    eva2000 Administrator Staff Member

    30,152
    6,782
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +10,133
    Local Time:
    3:31 PM
    Nginx 1.13.x
    MariaDB 5.5
    only php-fpm uses imagemagick